set more off
clear 

use "Racial_bias_EER_dataset.dta" 

**********************************
***********TABLE 1****************
**********************************

tabstat rating_AVG rating_G rating_C rating_T lnwage,by(Dblack)


**********************************
***********TABLE 2****************
**********************************

centile rating_AVG if Dblack==1, centile(10(20)90)
centile rating_AVG if Dblack==0, centile(10(20)90)

centile rating_G if Dblack==1, centile(10(20)90)
centile rating_G if Dblack==0, centile(10(20)90)

centile rating_C if Dblack==1, centile(10(20)90)
centile rating_C if Dblack==0, centile(10(20)90)

centile rating_T if Dblack==1, centile(10(20)90)
centile rating_T if Dblack==0, centile(10(20)90)

centile lnwage if Dblack==1, centile(10(20)90)
centile lnwage if Dblack==0, centile(10(20)90)


**********************************
***********TABLE 3****************
**********************************
global outcomes rating_AVG rating_G rating_C rating_T


***OLS estimates***
foreach var of global outcomes{
reg `var' Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name)
}

***UQR estimates***

***All***
forval q= 10(20)90 {
rifhdreg rating_AVG Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) 
}

***Gazzetta***
forval q= 10(20)90 {
rifhdreg rating_G Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) 
}

***Corriere***
forval q= 10(20)90 {
rifhdreg rating_C Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) 
 }

 ***Tuttosport***
forval q= 10(20)90 {
rifhdreg rating_T Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) 
 }
 
 ***Log Wage***
 forval q= 10(20)90 {
rifhdreg lnwage Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) over(Dblack)
 }

 
**********************************
***********TABLE 4****************
**********************************

***Oaxaca-Blinder at mean***
foreach var of global outcomes{
xi: oaxaca `var' Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) by(Dblack) relax swap
}


***Oaxaca-RIF***

***All***
forval q= 10(20)90 {
xi: oaxaca_rif rating_AVG Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) by(Dblack) relax swap 
}

***Gazzetta***
forval q= 10(20)90 {
xi: oaxaca_rif rating_G Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) by(Dblack) relax swap 
}
 
***Corriere***
forval q= 10(20)90 {
xi: oaxaca_rif rating_C Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) by(Dblack) relax swap 
}

***Tuttosport***
forval q= 10(20)90 {
xi: oaxaca_rif rating_T Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) by(Dblack) relax swap 
}

***Log Wage***
forval q= 10(20)90 {
xi: oaxaca_rif lnwage Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) rif(q(`q')) by(Dblack) relax swap 
}


 
**********************************
***********TABLE 5****************
**********************************

***Whoscored rating***
reg Rating Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name)


***Same sample: 1771 obs***
reg rating_AVG Dblack age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart if Rating!=. & rating_AVG!=., cluster(id_name)



**********************************
***********TABLE 6****************
**********************************
 
g Ditalian=(citizen=="italian")

***Sample non-black***
foreach var of global outcomes {
reg `var' Ditalian age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart if Dblack==0, cluster(id_name)
} 

***Sample non-italian***
foreach var of global outcomes {
reg `var' Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart if Ditalian==0, cluster(id_name)
} 

***Baseline***
foreach var of global outcomes {
reg `var' Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name)
} 


**********************************
***********TABLE C.2**************
**********************************
foreach var of global outcomes {
reg `var' i.BLACK age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name)
}

**********************************
***********TABLE C.3**************
**********************************
reg lnwage Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart rating_G, cluster(id_name)

reg lnwage Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart rating_C, cluster(id_name)

reg lnwage Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart rating_T , cluster(id_name)

reg lnwage Dblack age age2  Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart rating_G rating_C rating_T , cluster(id_name)


**********************************
***********FIGURE 1***************
**********************************

twoway kdensity rating_AVG if Dblack==0,lpattern(solide) lcolor(blue) || kdensity rating_AVG if Dblack==1 , lpattern(dash) lcolor(red) xtitle("Rating")  ytitle("") legend(label(1 "Non-black players") label(2 "Black players") ) graphregion(color(white))

twoway kdensity rating_G if Dblack==0,lpattern(solide) lcolor(blue) || kdensity rating_C if Dblack==0, lpattern(dash) lcolor(red) || kdensity rating_T if Dblack==0 , lpattern(longdash) lcolor(green) xtitle("Rating")  ytitle("") legend(label(1 "Gazzetta dello Sport") label(2 "Corriere dello Sport")label(3 "Tuttosport") ) graphregion(color(white))

twoway kdensity rating_G if Dblack==1,lpattern(solide) lcolor(blue) || kdensity rating_C if Dblack==1, lpattern(dash) lcolor(red) || kdensity rating_T if Dblack==1 , lpattern(longdash) lcolor(green) xtitle("Rating")  ytitle("") legend(label(1 "Gazzetta dello Sport") label(2 "Corriere dello Sport")label(3 "Tuttosport") ) graphregion(color(white))

twoway kdensity lnwage if Dblack==0,lpattern(solide) lcolor(blue) || kdensity lnwage if Dblack==1 , lpattern(dash) lcolor(red) xtitle("Log Wage")  ytitle("") legend(label(1 "Non-black players") label(2 "Black players") ) graphregion(color(white))



**********************************
***********FIGURE 2***************
**********************************

cumul rating_AVG if Dblack==0, gen(cum_W)
cumul rating_AVG if Dblack==1, gen(cum_B)
tw (line cum_W rating_AVG, sort lp(dash))(line cum_B rating_AVG, sort) if rating_AVG>4, leg(label(1 Non-Black) label(2 Black))

cumul rating_G if Dblack==0, gen(cum_G_W)
cumul rating_G if Dblack==1, gen(cum_G_B)
tw (line cum_G_W rating_G, sort lp(dash))(line cum_G_B rating_G, sort) if rating_G>4, leg(label(1 Non-Black) label(2 Black))

cumul rating_C if Dblack==0, gen(cum_C_W)
cumul rating_C if Dblack==1, gen(cum_C_B)
tw (line cum_C_W rating_C, sort lp(dash))(line cum_C_B rating_C, sort) if rating_C>4, leg(label(1 Non-Black) label(2 Black))

cumul rating_T if Dblack==0, gen(cum_T_W)
cumul rating_T if Dblack==1, gen(cum_T_B)
tw (line cum_T_W rating_T, sort lp(dash))(line cum_T_B rating_T, sort) if rating_T>4, leg(label(1 Non-Black) label(2 Black))


**********************************
***********FIGURE C.1*************
**********************************
twoway kdensity rating_AVG if Dblack==0,lpattern(solide) lcolor(blue) || kdensity rating_AVG if black_1==1 , lpattern(dash) lcolor(red) || kdensity rating_AVG if black_2==1, lpattern(dash) lcolor(green)  || kdensity rating_AVG if black_3==1 & rating_AVG>2, lpattern(dash) lcolor(green) || kdensity rating_AVG if black_4==1 , lpattern(dash) lcolor(purple) xtitle("Rating")  ytitle("") legend(label(1 "Non-black players") label(2 "Black-1 players")label(3 "Black-2 players")label(4 "Black-3 players")label(5 "Black-4 players") ) graphregion(color(white)) 

twoway kdensity lnwage if Dblack==0,lpattern(solide) lcolor(blue) || kdensity lnwage if black_1==1 , lpattern(dash) lcolor(red) || kdensity lnwage if black_2==1 , lpattern(dash) lcolor(green) || kdensity lnwage if black_3==1 , lpattern(dash) lcolor(green) || kdensity lnwage if black_4==1 , lpattern(dash) lcolor(purple) xtitle("Log wage")  ytitle("") legend(label(1 "Non-black players") label(2 "Black-1 players")label(3 "Black-2 players")label(4 "Black-3 players")label(5 "Black-4 players") ) graphregion(color(white))


**********************************
***********FIGURE C.2*************
**********************************
matrix drop _all
forvalues i=10(5)90{

xi: oaxaca_rif rating_AVG  age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, cluster(id_name) by(Dblack) rif(q(`i')) swap relax
matrix tb=r(table)
matrix betas=nullmat(betas)\[`i',tb["b",.]]
matrix ll=nullmat(ll)\[tb["ll",.]]
matrix ul=nullmat(ul)\[tb["ul",.]]
}

lbsvmat betas, matname name(b)
lbsvmat ll, matname name(ll)
lbsvmat ul, matname name(ul)




forvalues i=10(5)90{

xi: bootstrap, reps(100): oaxaca_rif rating_AVG  age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.TEAM i.ROLE i.SeasonStart, robust by(Dblack) rif(q(`i'))  swap rwlogit(age age2 Goals Assists Yel Red SpG PS Aerialswon Tackles Interceptions Fouls Offsidesdefensive Clear Drbdefensive Blocks KeyP Drboffensive Fouled Off  UnsTch AvgP Crosses LongB ThrB OffTarget OnPost OnTarget Blocked Dispossessed  InAccCr InAccCrn i.ROLE  i.TEAM i.SeasonStart) relax

matrix tb=r(table)
matrix betas=nullmat(betas)\[`i',tb["b",.]]
matrix ll=nullmat(ll)\[tb["ll",.]]
matrix ul=nullmat(ul)\[tb["ul",.]]
}

lbsvmat betas, matname name(bw)
lbsvmat ll, matname name(llw)
lbsvmat ul, matname name(ulw)


twoway (rarea ul_overall_unexplained ll_overall_unexplained b_c1, color(gs14)) (rarea ulw_Overall_ToT_Unexplained llw_Overall_ToT_Unexplained b_c1, color(gs14))  (connected b_overall_unexplained b_c1, color(blue)) (connected bw_Overall_ToT_Unexplained b_c1, color(red)), graphregion(color(white)) xtitle(Quantile)

twoway (rarea ul_overall_explained ll_overall_explained b_c1, color(gs14)) (rarea ulw_Overall_ToT_Explained llw_Overall_ToT_Explained b_c1, color(gs14))  (connected b_overall_explained b_c1, color(blue)) (connected bw_Overall_ToT_Explained b_c1, color(red)), graphregion(color(white)) xtitle(Quantile)







